# Generated by Django 4.0.3 on 2023-07-20 19:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shoes_rest', '0009_binvo_alter_shoe_options_alter_shoe_bin_delete_bin'),
    ]

    operations = [
        migrations.CreateModel(
            name='Shoes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('manufacturer', models.CharField(max_length=100)),
                ('model_name', models.CharField(max_length=100)),
                ('color', models.CharField(max_length=100)),
                ('picture_url', models.URLField(null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='binvo',
            name='import_href',
            field=models.CharField(default=False, max_length=200, unique=True),
        ),
        migrations.AlterField(
            model_name='binvo',
            name='name',
            field=models.CharField(default=False, max_length=200),
        ),
        migrations.DeleteModel(
            name='Shoe',
        ),
        migrations.AddField(
            model_name='shoes',
            name='bin',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='shoes', to='shoes_rest.binvo'),
        ),
    ]
